package capitulo04.bloque02;

import static capitulo04.utils.Utils.*;

public class Ejercicio05 {
    public static void main(String[] args) {
        int[] array = crearArrayNumsAleatorios(5, 0, 100);
        int movimientos = solicitarIntScanner("Introduzca cuantas posiciones quiere mover a la derecha el array: ");

        mostrarArrayNums(array);
        desplazaCiclicoDerecha(array, movimientos);
        System.out.println();
        mostrarArrayNums(array);
    }

    public static void desplazaCiclicoDerecha(int a[], int posiciones) {
        for (int i = 0; i < posiciones; i++) {
            int tempVar = 0;
            for (int j = a.length - 1; j >= 0; j--) {
                if (j == a.length - 1) tempVar = a[j];
                a[j] = (j == 0) ? tempVar : a[j - 1];
            }
        }
    }
}
